Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5143)
@@ -288,247 +286,246 @@
     REAL zt, zq, zdelta, zcvm5, zcor, zqs, zfr, zdqs
     REAL z2geomf, zalh2, zalm2, zscfh, zscfm
-    REAL, PARAMETER :: t_coup=273.15
-    LOGICAL, PARAMETER :: check=.FALSE.
-
-! contre-gradient pour la chaleur sensible: Kelvin/metre
+    REAL, PARAMETER :: t_coup = 273.15
+    LOGICAL, PARAMETER :: check = .FALSE.
+
+    ! contre-gradient pour la chaleur sensible: Kelvin/metre
     REAL gamt(2:klev)
 
-    LOGICAL, SAVE :: appel1er=.TRUE.
+    LOGICAL, SAVE :: appel1er = .TRUE.
     !$OMP THREADPRIVATE(appel1er)
 
-! Fonctions thermodynamiques et fonctions d'instabilite
+    ! Fonctions thermodynamiques et fonctions d'instabilite
     REAL fsta, fins, x
 
-    fsta(x) = 1.0 / (1.0+10.0*x*(1+8.0*x))
-    fins(x) = SQRT(1.0-18.0*x)
-
-    isommet=klev
-      
+    fsta(x) = 1.0 / (1.0 + 10.0 * x * (1 + 8.0 * x))
+    fins(x) = SQRT(1.0 - 18.0 * x)
+
+    isommet = klev
+
     IF (appel1er) THEN
-       IF (prt_level > 9) THEN
-          WRITE(lunout,*)'coefkz, opt_ec:', opt_ec
-          WRITE(lunout,*)'coefkz, richum:', richum
-          IF (richum) WRITE(lunout,*)'coefkz, ratqs:', ratqs
-          WRITE(lunout,*)'coefkz, isommet:', isommet
-          WRITE(lunout,*)'coefkz, tvirtu:', tvirtu
-          appel1er = .FALSE.
-       ENDIF
+      IF (prt_level > 9) THEN
+        WRITE(lunout, *)'coefkz, opt_ec:', opt_ec
+        WRITE(lunout, *)'coefkz, richum:', richum
+        IF (richum) WRITE(lunout, *)'coefkz, ratqs:', ratqs
+        WRITE(lunout, *)'coefkz, isommet:', isommet
+        WRITE(lunout, *)'coefkz, tvirtu:', tvirtu
+        appel1er = .FALSE.
+      ENDIF
     ENDIF
 
-! Initialiser les sorties
+    ! Initialiser les sorties
 
     DO k = 1, klev
-       DO i = 1, knon
-          pcfm(i,k) = 0.0
-          pcfh(i,k) = 0.0
-       ENDDO
+      DO i = 1, knon
+        pcfm(i, k) = 0.0
+        pcfh(i, k) = 0.0
+      ENDDO
     ENDDO
     DO i = 1, knon
-       itop(i) = 0
-    ENDDO
-
-! Prescrire la valeur de contre-gradient
+      itop(i) = 0
+    ENDDO
+
+    ! Prescrire la valeur de contre-gradient
 
     IF (iflag_pbl==1) THEN
-       DO k = 3, klev
-          gamt(k) = -1.0E-03
-       ENDDO
-       gamt(2) = -2.5E-03
+      DO k = 3, klev
+        gamt(k) = -1.0E-03
+      ENDDO
+      gamt(2) = -2.5E-03
     ELSE
-       DO k = 2, klev
-          gamt(k) = 0.0
-       ENDDO
+      DO k = 2, klev
+        gamt(k) = 0.0
+      ENDDO
     ENDIF
-!IM cf JLD/ GKtest
-    IF ( nsrf /= is_oce ) THEN
-!IM 261103     kstable = kstable_ter
-       kstable = ksta_ter
+    !IM cf JLD/ GKtest
+    IF (nsrf /= is_oce) THEN
+      !IM 261103     kstable = kstable_ter
+      kstable = ksta_ter
     ELSE
-!IM 261103     kstable = kstable_sinon
-       kstable = ksta
+      !IM 261103     kstable = kstable_sinon
+      kstable = ksta
     ENDIF
-!IM cf JLD/ GKtest fin
-
-! Calculer les geopotentiels de chaque couche
+    !IM cf JLD/ GKtest fin
+
+    ! Calculer les geopotentiels de chaque couche
 
     DO i = 1, knon
-       zgeop(i,1) = RD * t(i,1) / (0.5*(paprs(i,1)+pplay(i,1))) &
-            * (paprs(i,1)-pplay(i,1))
+      zgeop(i, 1) = RD * t(i, 1) / (0.5 * (paprs(i, 1) + pplay(i, 1))) &
+              * (paprs(i, 1) - pplay(i, 1))
     ENDDO
     DO k = 2, klev
-       DO i = 1, knon
-          zgeop(i,k) = zgeop(i,k-1) &
-               + RD * 0.5*(t(i,k-1)+t(i,k)) / paprs(i,k) &
-               * (pplay(i,k-1)-pplay(i,k))
-       ENDDO
-    ENDDO
-
-! Calculer les coefficients turbulents dans l'atmosphere
+      DO i = 1, knon
+        zgeop(i, k) = zgeop(i, k - 1) &
+                + RD * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) &
+                        * (pplay(i, k - 1) - pplay(i, k))
+      ENDDO
+    ENDDO
+
+    ! Calculer les coefficients turbulents dans l'atmosphere
 
     DO i = 1, knon
-       itop(i) = isommet
-    ENDDO
-
+      itop(i) = isommet
+    ENDDO
 
     DO k = 2, isommet
-       DO i = 1, knon
-          zdu2=MAX(cepdu2,(u(i,k)-u(i,k-1))**2 &
-               +(v(i,k)-v(i,k-1))**2)
-          zmgeom(i)=zgeop(i,k)-zgeop(i,k-1)
-          zdphi =zmgeom(i) / 2.0
-          zt = (t(i,k)+t(i,k-1)) * 0.5
-          zq = (q(i,k)+q(i,k-1)) * 0.5
-
-! Calculer Qs et dQs/dT:
-
-          IF (thermcep) THEN
-             zdelta = MAX(0.,SIGN(1.,RTT-zt))
-             zcvm5 = R5LES*RLVTT/RCPD/(1.0+RVTMP2*zq)*(1.-zdelta) &
-                  + R5IES*RLSTT/RCPD/(1.0+RVTMP2*zq)*zdelta
-             zqs = R2ES * FOEEW(zt,zdelta) / pplay(i,k)
-             zqs = MIN(0.5,zqs)
-             zcor = 1./(1.-RETV*zqs)
-             zqs = zqs*zcor
-             zdqs = FOEDE(zt,zdelta,zcvm5,zqs,zcor)
+      DO i = 1, knon
+        zdu2 = MAX(cepdu2, (u(i, k) - u(i, k - 1))**2 &
+                + (v(i, k) - v(i, k - 1))**2)
+        zmgeom(i) = zgeop(i, k) - zgeop(i, k - 1)
+        zdphi = zmgeom(i) / 2.0
+        zt = (t(i, k) + t(i, k - 1)) * 0.5
+        zq = (q(i, k) + q(i, k - 1)) * 0.5
+
+        ! Calculer Qs et dQs/dT:
+
+        IF (thermcep) THEN
+          zdelta = MAX(0., SIGN(1., RTT - zt))
+          zcvm5 = R5LES * RLVTT / RCPD / (1.0 + RVTMP2 * zq) * (1. - zdelta) &
+                  + R5IES * RLSTT / RCPD / (1.0 + RVTMP2 * zq) * zdelta
+          zqs = R2ES * FOEEW(zt, zdelta) / pplay(i, k)
+          zqs = MIN(0.5, zqs)
+          zcor = 1. / (1. - RETV * zqs)
+          zqs = zqs * zcor
+          zdqs = FOEDE(zt, zdelta, zcvm5, zqs, zcor)
+        ELSE
+          IF (zt < t_coup) THEN
+            zqs = qsats(zt) / pplay(i, k)
+            zdqs = dqsats(zt, zqs)
           ELSE
-             IF (zt < t_coup) THEN
-                zqs = qsats(zt) / pplay(i,k)
-                zdqs = dqsats(zt,zqs)
-             ELSE
-                zqs = qsatl(zt) / pplay(i,k)
-                zdqs = dqsatl(zt,zqs)
-             ENDIF
+            zqs = qsatl(zt) / pplay(i, k)
+            zdqs = dqsatl(zt, zqs)
           ENDIF
-
-!           calculer la fraction nuageuse (processus humide):
-
-          IF (zq /= 0.) THEN
-             zfr = (zq+ratqs*zq-zqs) / (2.0*ratqs*zq)
-          else
-             zfr = 0.
-          end if
-          zfr = MAX(0.0,MIN(1.0,zfr))
-          IF (.NOT.richum) zfr = 0.0
-
-!           calculer le nombre de Richardson:
-
-          IF (tvirtu) THEN
-             ztvd =( t(i,k) &
-                  + zdphi/RCPD/(1.+RVTMP2*zq) &
-                  *( (1.-zfr) + zfr*(1.+RLVTT*zqs/RD/zt)/(1.+zdqs) ) &
-                  )*(1.+RETV*q(i,k))
-             ztvu =( t(i,k-1) &
-                  - zdphi/RCPD/(1.+RVTMP2*zq) &
-                  *( (1.-zfr) + zfr*(1.+RLVTT*zqs/RD/zt)/(1.+zdqs) ) &
-                  )*(1.+RETV*q(i,k-1))
-             zri(i) =zmgeom(i)*(ztvd-ztvu)/(zdu2*0.5*(ztvd+ztvu))
-             zri(i) = zri(i) &
-                  + zmgeom(i)*zmgeom(i)/RG*gamt(k) &
-                  *(paprs(i,k)/101325.0)**RKAPPA &
-                  /(zdu2*0.5*(ztvd+ztvu))
-
-          ELSE ! calcul de Ridchardson compatible LMD5
-
-             zri(i) =(RCPD*(t(i,k)-t(i,k-1)) &
-                  -RD*0.5*(t(i,k)+t(i,k-1))/paprs(i,k) &
-                  *(pplay(i,k)-pplay(i,k-1)) &
-                  )*zmgeom(i)/(zdu2*0.5*RCPD*(t(i,k-1)+t(i,k)))
-             zri(i) = zri(i) + &
-                  zmgeom(i)*zmgeom(i)*gamt(k)/RG &
-                  *(paprs(i,k)/101325.0)**RKAPPA &
-                  /(zdu2*0.5*(t(i,k-1)+t(i,k)))
+        ENDIF
+
+        !           calculer la fraction nuageuse (processus humide):
+
+        IF (zq /= 0.) THEN
+          zfr = (zq + ratqs * zq - zqs) / (2.0 * ratqs * zq)
+        else
+          zfr = 0.
+        end if
+        zfr = MAX(0.0, MIN(1.0, zfr))
+        IF (.NOT.richum) zfr = 0.0
+
+        !           calculer le nombre de Richardson:
+
+        IF (tvirtu) THEN
+          ztvd = (t(i, k) &
+                  + zdphi / RCPD / (1. + RVTMP2 * zq) &
+                          * ((1. - zfr) + zfr * (1. + RLVTT * zqs / RD / zt) / (1. + zdqs)) &
+                  ) * (1. + RETV * q(i, k))
+          ztvu = (t(i, k - 1) &
+                  - zdphi / RCPD / (1. + RVTMP2 * zq) &
+                          * ((1. - zfr) + zfr * (1. + RLVTT * zqs / RD / zt) / (1. + zdqs)) &
+                  ) * (1. + RETV * q(i, k - 1))
+          zri(i) = zmgeom(i) * (ztvd - ztvu) / (zdu2 * 0.5 * (ztvd + ztvu))
+          zri(i) = zri(i) &
+                  + zmgeom(i) * zmgeom(i) / RG * gamt(k) &
+                          * (paprs(i, k) / 101325.0)**RKAPPA &
+                          / (zdu2 * 0.5 * (ztvd + ztvu))
+
+        ELSE ! calcul de Ridchardson compatible LMD5
+
+          zri(i) = (RCPD * (t(i, k) - t(i, k - 1)) &
+                  - RD * 0.5 * (t(i, k) + t(i, k - 1)) / paprs(i, k) &
+                          * (pplay(i, k) - pplay(i, k - 1)) &
+                  ) * zmgeom(i) / (zdu2 * 0.5 * RCPD * (t(i, k - 1) + t(i, k)))
+          zri(i) = zri(i) + &
+                  zmgeom(i) * zmgeom(i) * gamt(k) / RG &
+                          * (paprs(i, k) / 101325.0)**RKAPPA &
+                          / (zdu2 * 0.5 * (t(i, k - 1) + t(i, k)))
+        ENDIF
+
+        !           finalement, les coefficients d'echange sont obtenus:
+
+        zcdn = SQRT(zdu2) / zmgeom(i) * RG
+
+        IF (opt_ec) THEN
+          z2geomf = zgeop(i, k - 1) + zgeop(i, k)
+          zalm2 = (0.5 * ckap / RG * z2geomf &
+                  / (1. + 0.5 * ckap / rg / clam * z2geomf))**2
+          zalh2 = (0.5 * ckap / rg * z2geomf &
+                  / (1. + 0.5 * ckap / RG / (clam * SQRT(1.5 * cd)) * z2geomf))**2
+          IF (zri(i)<0.0) THEN  ! situation instable
+            zscf = ((zgeop(i, k) / zgeop(i, k - 1))**(1. / 3.) - 1.)**3 &
+                    / (zmgeom(i) / RG)**3 / (zgeop(i, k - 1) / RG)
+            zscf = SQRT(-zri(i) * zscf)
+            zscfm = 1.0 / (1.0 + 3.0 * cb * cc * zalm2 * zscf)
+            zscfh = 1.0 / (1.0 + 3.0 * cb * cc * zalh2 * zscf)
+            pcfm(i, k) = zcdn * zalm2 * (1. - 2.0 * cb * zri(i) * zscfm)
+            pcfh(i, k) = zcdn * zalh2 * (1. - 3.0 * cb * zri(i) * zscfh)
+          ELSE ! situation stable
+            zscf = SQRT(1. + cd * zri(i))
+            pcfm(i, k) = zcdn * zalm2 / (1. + 2.0 * cb * zri(i) / zscf)
+            pcfh(i, k) = zcdn * zalh2 / (1. + 3.0 * cb * zri(i) * zscf)
           ENDIF
-
-!           finalement, les coefficients d'echange sont obtenus:
-
-          zcdn=SQRT(zdu2) / zmgeom(i) * RG
-
-          IF (opt_ec) THEN
-             z2geomf=zgeop(i,k-1)+zgeop(i,k)
-             zalm2=(0.5*ckap/RG*z2geomf &
-                  /(1.+0.5*ckap/rg/clam*z2geomf))**2
-             zalh2=(0.5*ckap/rg*z2geomf &
-                  /(1.+0.5*ckap/RG/(clam*SQRT(1.5*cd))*z2geomf))**2
-             IF (zri(i)<0.0) THEN  ! situation instable
-                zscf = ((zgeop(i,k)/zgeop(i,k-1))**(1./3.)-1.)**3 &
-                     / (zmgeom(i)/RG)**3 / (zgeop(i,k-1)/RG)
-                zscf = SQRT(-zri(i)*zscf)
-                zscfm = 1.0 / (1.0+3.0*cb*cc*zalm2*zscf)
-                zscfh = 1.0 / (1.0+3.0*cb*cc*zalh2*zscf)
-                pcfm(i,k)=zcdn*zalm2*(1.-2.0*cb*zri(i)*zscfm)
-                pcfh(i,k)=zcdn*zalh2*(1.-3.0*cb*zri(i)*zscfh)
-             ELSE ! situation stable
-                zscf=SQRT(1.+cd*zri(i))
-                pcfm(i,k)=zcdn*zalm2/(1.+2.0*cb*zri(i)/zscf)
-                pcfh(i,k)=zcdn*zalh2/(1.+3.0*cb*zri(i)*zscf)
-             ENDIF
-          ELSE
-             zl2(i)=(mixlen*MAX(0.0,(paprs(i,k)-paprs(i,itop(i)+1)) &
-                  /(paprs(i,2)-paprs(i,itop(i)+1)) ))**2
-             pcfm(i,k)=SQRT(MAX(zcdn*zcdn*(ric-zri(i))/ric, kstable))
-             pcfm(i,k)= zl2(i)* pcfm(i,k)
-             pcfh(i,k) = pcfm(i,k) /prandtl ! h et m different
-          ENDIF
-       ENDDO
-    ENDDO
-
-! Au-dela du sommet, pas de diffusion turbulente:
+        ELSE
+          zl2(i) = (mixlen * MAX(0.0, (paprs(i, k) - paprs(i, itop(i) + 1)) &
+                  / (paprs(i, 2) - paprs(i, itop(i) + 1))))**2
+          pcfm(i, k) = SQRT(MAX(zcdn * zcdn * (ric - zri(i)) / ric, kstable))
+          pcfm(i, k) = zl2(i) * pcfm(i, k)
+          pcfh(i, k) = pcfm(i, k) / prandtl ! h et m different
+        ENDIF
+      ENDDO
+    ENDDO
+
+    ! Au-dela du sommet, pas de diffusion turbulente:
 
     DO i = 1, knon
-       IF (itop(i)+1 <= klev) THEN
-          DO k = itop(i)+1, klev
-             pcfh(i,k) = 0.0
-             pcfm(i,k) = 0.0
-          ENDDO
-       ENDIF
-    ENDDO
-      
+      IF (itop(i) + 1 <= klev) THEN
+        DO k = itop(i) + 1, klev
+          pcfh(i, k) = 0.0
+          pcfm(i, k) = 0.0
+        ENDDO
+      ENDIF
+    ENDDO
+
   END SUBROUTINE coefkz
 
-!****************************************************************************************
-
-  SUBROUTINE coefkz2(nsrf, knon, paprs, pplay,t, &
-       pcfm, pcfh)
+  !****************************************************************************************
+
+  SUBROUTINE coefkz2(nsrf, knon, paprs, pplay, t, &
+          pcfm, pcfh)
 
     USE dimphy
     USE indice_sol_mod
 
-!======================================================================
-! J'introduit un peu de diffusion sauf dans les endroits
-! ou une forte inversion est presente
-! On peut dire qu'il represente la convection peu profonde
-
-! Arguments:
-! nsrf-----input-I- indicateur de la nature du sol
-! knon-----input-I- nombre de points a traiter
-! paprs----input-R- pression a chaque intercouche (en Pa)
-! pplay----input-R- pression au milieu de chaque couche (en Pa)
-! t--------input-R- temperature (K)
-
-! pcfm-----output-R- coefficients a calculer (vitesse)
-! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
-!======================================================================
-
-! Arguments:
-
-    INTEGER, INTENT(IN)                       :: knon, nsrf
-    REAL, DIMENSION(klon, klev+1), INTENT(IN) ::  paprs
-    REAL, DIMENSION(klon, klev), INTENT(IN)   ::  pplay
-    REAL, DIMENSION(klon, klev), INTENT(IN)   :: t(klon,klev)
-    
-    REAL, DIMENSION(klon, klev), INTENT(OUT)  :: pcfm, pcfh
-
-! Quelques constantes et options:
-
-    REAL, PARAMETER :: prandtl=0.4
-    REAL, PARAMETER :: kstable=0.002
-!   REAL, PARAMETER :: kstable=0.001
-    REAL, PARAMETER :: mixlen=35.0 ! constante controlant longueur de melange
-    REAL, PARAMETER :: seuil=-0.02 ! au-dela l'inversion est consideree trop faible
-!    PARAMETER (seuil=-0.04)
-!    PARAMETER (seuil=-0.06)
-!    PARAMETER (seuil=-0.09)
-
-! Variables locales:
+    !======================================================================
+    ! J'introduit un peu de diffusion sauf dans les endroits
+    ! ou une forte inversion est presente
+    ! On peut dire qu'il represente la convection peu profonde
+
+    ! Arguments:
+    ! nsrf-----input-I- indicateur de la nature du sol
+    ! knon-----input-I- nombre de points a traiter
+    ! paprs----input-R- pression a chaque intercouche (en Pa)
+    ! pplay----input-R- pression au milieu de chaque couche (en Pa)
+    ! t--------input-R- temperature (K)
+
+    ! pcfm-----output-R- coefficients a calculer (vitesse)
+    ! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
+    !======================================================================
+
+    ! Arguments:
+
+    INTEGER, INTENT(IN) :: knon, nsrf
+    REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: pplay
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: t(klon, klev)
+
+    REAL, DIMENSION(klon, klev), INTENT(OUT) :: pcfm, pcfh
+
+    ! Quelques constantes et options:
+
+    REAL, PARAMETER :: prandtl = 0.4
+    REAL, PARAMETER :: kstable = 0.002
+    !   REAL, PARAMETER :: kstable=0.001
+    REAL, PARAMETER :: mixlen = 35.0 ! constante controlant longueur de melange
+    REAL, PARAMETER :: seuil = -0.02 ! au-dela l'inversion est consideree trop faible
+    !    PARAMETER (seuil=-0.04)
+    !    PARAMETER (seuil=-0.06)
+    !    PARAMETER (seuil=-0.09)
+
+    ! Variables locales:
 
     INTEGER i, k, invb(knon)
@@ -538,59 +535,59 @@
     INCLUDE "YOMCST.h"
 
-! Initialiser les sorties
+    ! Initialiser les sorties
 
     DO k = 1, klev
-       DO i = 1, knon
-          pcfm(i,k) = 0.0
-          pcfh(i,k) = 0.0
-       ENDDO
-    ENDDO
-
-! Chercher la zone d'inversion forte
+      DO i = 1, knon
+        pcfm(i, k) = 0.0
+        pcfh(i, k) = 0.0
+      ENDDO
+    ENDDO
+
+    ! Chercher la zone d'inversion forte
 
     DO i = 1, knon
-       invb(i) = klev
-       zdthmin(i)=0.0
-    ENDDO
-    DO k = 2, klev/2-1
-       DO i = 1, knon
-          zdthdp = (t(i,k)-t(i,k+1))/(pplay(i,k)-pplay(i,k+1)) &
-               - RD * 0.5*(t(i,k)+t(i,k+1))/RCPD/paprs(i,k+1)
-          zdthdp = zdthdp * 100.0
-          IF (pplay(i,k)>0.8*paprs(i,1) .AND. &
-               zdthdp<zdthmin(i) ) THEN
-             zdthmin(i) = zdthdp
-             invb(i) = k
+      invb(i) = klev
+      zdthmin(i) = 0.0
+    ENDDO
+    DO k = 2, klev / 2 - 1
+      DO i = 1, knon
+        zdthdp = (t(i, k) - t(i, k + 1)) / (pplay(i, k) - pplay(i, k + 1)) &
+                - RD * 0.5 * (t(i, k) + t(i, k + 1)) / RCPD / paprs(i, k + 1)
+        zdthdp = zdthdp * 100.0
+        IF (pplay(i, k)>0.8 * paprs(i, 1) .AND. &
+                zdthdp<zdthmin(i)) THEN
+          zdthmin(i) = zdthdp
+          invb(i) = k
+        ENDIF
+      ENDDO
+    ENDDO
+
+    ! Introduire une diffusion:
+
+    IF (nsrf==is_oce) THEN
+      DO k = 2, klev
+        DO i = 1, knon
+          !IM cf FH/GK   IF ( (nsrf.NE.is_oce) .OR.  ! si ce n'est pas sur l'ocean
+          !IM cf FH/GK  .     (invb(i).EQ.klev) .OR. ! s'il n'y a pas d'inversion
+          !IM cf JLD/ GKtest TERkz2
+          ! IF ( (nsrf.EQ.is_ter) .OR.  ! si on est sur la terre
+          ! fin GKtest
+
+
+          ! s'il n'y a pas d'inversion ou si l'inversion est trop faible
+          !          IF ( (nsrf.EQ.is_oce) .AND. &
+          IF ((invb(i)==klev) .OR. (zdthmin(i)>seuil)) THEN
+            zl2(i) = (mixlen * MAX(0.0, (paprs(i, k) - paprs(i, klev + 1)) &
+                    / (paprs(i, 2) - paprs(i, klev + 1))))**2
+            pcfm(i, k) = zl2(i) * kstable
+            pcfh(i, k) = pcfm(i, k) / prandtl ! h et m different
           ENDIF
-       ENDDO
-    ENDDO
-
-! Introduire une diffusion:
-
-    IF ( nsrf==is_oce ) THEN
-       DO k = 2, klev
-          DO i = 1, knon
-!IM cf FH/GK   IF ( (nsrf.NE.is_oce) .OR.  ! si ce n'est pas sur l'ocean
-!IM cf FH/GK  .     (invb(i).EQ.klev) .OR. ! s'il n'y a pas d'inversion
-      !IM cf JLD/ GKtest TERkz2
-      ! IF ( (nsrf.EQ.is_ter) .OR.  ! si on est sur la terre
-      ! fin GKtest
-
-
-! s'il n'y a pas d'inversion ou si l'inversion est trop faible
-!          IF ( (nsrf.EQ.is_oce) .AND. &
-             IF ( (invb(i)==klev) .OR. (zdthmin(i)>seuil) ) THEN
-                zl2(i)=(mixlen*MAX(0.0,(paprs(i,k)-paprs(i,klev+1)) &
-                     /(paprs(i,2)-paprs(i,klev+1)) ))**2
-                pcfm(i,k)= zl2(i)* kstable
-                pcfh(i,k) = pcfm(i,k) /prandtl ! h et m different
-             ENDIF
-          ENDDO
-       ENDDO
+        ENDDO
+      ENDDO
     ENDIF
 
   END SUBROUTINE coefkz2
 
-!****************************************************************************************
+  !****************************************************************************************
 
 END MODULE coef_diff_turb_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5143)
@@ -10,4 +10,5 @@
       USE lmdz_abort_physic, ONLY: abort_physic
       USE lmdz_clesphys
+      USE lmdz_YOETHF
 
       IMPLICIT NONE
@@ -53,5 +54,4 @@
 
       include "YOMCST.h"
-      include "YOETHF.h"
 ! Quelques constantes :
       REAL, parameter :: RKAR=0.40, CB=5.0, CC=5.0, CD=5.0, cepdu2=(0.1)**2
